%define name toppler
%define version 0.73
%define release 1mdk
%define summary Reimplementation of the old game known as Tower Toppler or Nebulous

Summary: %{summary}
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2
Source10: %{name}.16.png.bz2
Source11: %{name}.32.png.bz2
Source12: %{name}.48.png.bz2
Patch0: toppler-fix-scorefile-location.patch.bz2
License: GPL
URL: http://toppler.sourceforge.net/
Group: Games/Arcade
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: libSDL-devel libSDL_mixer-devel

%description
It is an almost complete reimplementation of the old game known as Tower
Toppler or Nebulous. This game was available at least for PC, Atari, C64
and now the PC version is abandonware.

The goal of the game is to reach the target door of each of the 8 towers
in currently 2 missions with this little green animal. This door is
usually at the very top of the tower.

But finding the way by using elevators and walking trough a maze of doors
and platforms is not the only problem you have to solve. There are a bunch
of other creatures living on the tower that will hinder you to reach your
target by pushing you over the edge of the platforms.

The only weapon of defence you have is to throw a little snowball. But
most of the other creatures just don't care about this. So you must avoid
them.

%prep
%setup -q
%patch0 -p0
automake

%build
%configure
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

install -d $RPM_BUILD_ROOT/%{_miconsdir}
install -d $RPM_BUILD_ROOT/%{_liconsdir}
bzcat %{SOURCE10} > $RPM_BUILD_ROOT/%{_miconsdir}/%{name}.png
bzcat %{SOURCE11} > $RPM_BUILD_ROOT/%{_iconsdir}/%{name}.png
bzcat %{SOURCE12} > $RPM_BUILD_ROOT/%{_liconsdir}/%{name}.png

mkdir -p $RPM_BUILD_ROOT/%{_menudir}
cat << EOF > $RPM_BUILD_ROOT/%{_menudir}/%{name}
?package(%{name}):command="NO_XALF %{_bindir}/%{name}" icon="%{name}.png" \
  needs="gnome" section="Amusement/Arcade" title="Tower Toppler" \
  longtitle="%{summary}"
?package(%{name}):command="%{_bindir}/%{name}" icon="%{name}.png" \
  needs="X11" section="Amusement/Arcade" title="Tower Toppler" \
  longtitle="%{summary}"
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}
%create_ghostfile /var/lib/games/toppler.hsc root games 664

%postun
%{clean_menus}

%files
%defattr(-, root, root)
%doc AUTHORS README
%attr(664, root, games) %ghost /var/lib/games/toppler.hsc
%attr(2755, root, games) %{_bindir}/*
%{_datadir}/%{name}
%{_menudir}/*
%{_iconsdir}/*.png
%{_iconsdir}/*/*.png

%changelog
* Fri Feb  1 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.73-1mdk
- new version

* Fri Jan 25 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.72-1mdk
- first mdk package
